Writer Class Referenceabstract

Virtual base class for various writers. More...

`#include <Writer.h>`

## Public Member Functions

virtual int | putStr (const char *msg, int len)=0
| Write out a binary string.
virtual int | putS (const char *msg)=0
| Write out a string.
virtual int | printf (const char *msg)=0
| Write out a string.
virtual int | flush ()=0
| Flush the output buffer.

## Detailed Description

Virtual base class for various writers.

## Member Function Documentation

## printf()

virtual int Writer::printf | ( | const char * | msg | ) |

pure virtual

Write out a string.

Parameters

  msg | message string

## putS()

virtual int Writer::putS | ( | const char * | msg | ) |

pure virtual

Write out a string.

Parameters

  msg | message string

## putStr()

virtual int Writer::putStr | ( | const char * | msg,
|  | int | len )

pure virtual

Write out a binary string.

Parameters

  msg | message string
  len | message string length

The documentation for this class was generated from the following file:

- Writer.h